Bug 586526 - gnome-settings-daemon-2.30.1-1.fc14 has garbled package scripts
Summary: gnome-settings-daemon-2.30.1-1.fc14 has garbled package scripts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 19:52 UTC by Michal Jaegermann
Modified: 2010-07-22 13:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 13:40:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2010-04-27 19:52:36 UTC
Description of problem:

An attempt to update to gnome-settings-daemon-2.30.1-1.fc14 ends up with:

/var/tmp/rpm-tmp.pwI4V2: line 11: apps_gnome_settings_daemon_screensaver: command not found
error: %pre(gnome-settings-daemon-2.30.1-1.fc14.x86_64) scriptlet failed, exit status 127
error:   install: %pre scriptlet failed (2), skipping gnome-settings-daemon-2.30.1-1.fc14

A closer look shows in an output of 'rpm -qp --scripts gnome-settings-daemon-2.30.1-1.fc14.x86_64.rpm' the following block which starts at line 11:
                      apps_gnome_settings_daemon_screensaver \
                      desktop_gnome_font_rendering \
                      desktop_Gnome_peripherals_touchpad \
                      gnome-settings-daemon

and is repeated at lines 35 and 51.  That does not look right. "Copy-and-waste"?

Version-Release number of selected component (if applicable):
gnome-settings-daemon-2.30.1-1.fc14

Comment 1 Jonathan Kamens 2010-04-28 02:10:31 UTC
Also an issue in gnome-settings-daemon-2.30.1-1.fc13.

Comment 2 Michal Jaegermann 2010-04-28 23:35:05 UTC
Package scripts from gnome-settings-daemon-2.30.1-3.fc14 look ok.  If this is still a problem for 13 then please reopen.

Comment 3 Jonathan Kamens 2010-04-29 22:18:48 UTC
  Updating       : gnome-settings-daemon-2.30.1-3.fc13.x86_64              2/12 
I/O warning : failed to load external entity "/etc/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas"
Failed to open `/etc/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas': No such file or directory

Comment 4 Bastien Nocera 2010-07-22 13:40:39 UTC
Was fixed in gnome-settings-daemon-2.30.1-6.fc13:
* Tue May 11 2010 Matthias Clasen <mclasen@redhat.com> 2.30.1-6
- Fix the list of GConf schemas in %%preun (#586526)

gnome-settings-daemon-2.30.1-7.fc13 is now in the stable repositories.


Note You need to log in before you can comment on or make changes to this bug.